Skip to main content

Template

Templates are reusable OS/disk images used to launch instances.

Resource base path: /restapi/template

MethodPathDescription
GET/restapi/template/templateListTemplate List
note

apikey and secretkey are required HTTP headers on every request and are omitted from the parameter tables below. See Authentication.


Template List

Template List.

GET /restapi/template/templateList

Parameters

ParameterInTypeRequiredDescription
zoneUuidquerystring✅ YesUUID of the zone the resource belongs to.
uuidquerystringNoUUID of the resource.

Example request

curl -X GET \
"https://portal.your-domain.com/restapi/template/templateList?zoneUuid=a1b2c3d4-e5f6-7890-abcd-ef1234567890" \
-H "apikey: YOUR_API_KEY" \
-H "secretkey: YOUR_SECRET_KEY"

Responses

CodeDescription
200Successful operation.
401Invalid authentication credentials.
550Permission denied.
{
"listTemplateResponse": [
{
"name": "example-name",
"format": "string",
"zoneUuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"description": "string",
"osCategoryName": "example-name",
"zoneName": "example-name",
"templateCost": "string",
"isActive": "string",
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}
],
"count": 1
}